package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.flow.entity.ResultScore;
import com.lz.modules.flow.model.ResultScoreDto;

import java.util.List;

/**
* <p>
* 业绩详情评分表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface ResultScoreService extends IService<ResultScore> {



	ResultScore selectResultScoreById(Long id);


	Long insertResultScore(ResultScore resultScore);


	int updateResultScoreById(ResultScore resultScore);


	int updateCoverResultScoreById(ResultScore resultScore);


	int deleteResultScoreById(Long id);


    List<ResultScore> selectResultScoresByDetailId(Long id);

    List<ResultScore> selectResultScoresByDetailIdAndOrderByStaffIds(Long id, List<ResultScoreDto> scoreDtos);

    int deleteResultScoreByDetailId(Long id);

    int setNoEditScoreByDetailId(Long detailId);
}